Subject: [PATCH 2/2] ARM: dts: dra7: remove ti,hwmod property from pcie phy

From: [email-masked] (Tony Lindgren)
Date: Thu, 19 Mar 2015 09:03:02 -0700

* Paul Walmsley <[email-masked]> [150319 08:46]:
> On Thu, 19 Mar 2015, Grygorii.Strashko at linaro.org wrote:
> 
> > On 03/19/2015 04:55 PM, Paul Walmsley wrote:
> > > On Wed, 18 Mar 2015, Grygorii.Strashko at linaro.org wrote:
> > > 
> > > > On 03/18/2015 06:57 PM, Tony Lindgren wrote:
> > > > > * Grygorii Strashko <[email-masked]> [150318 09:37]:
> > > > > > As I can see Patch 1 from this series was merged in 4.0-rc4,
> > > > > > but this patch wasn't. As result, I can see below warning all the time
> > > > > > during boot now:
> > > > > > 
> > > > > > [    0.594591] platform 4a094000.pciephy: Cannot lookup hwmod
> > > > > > 'pcie1-phy'
> > > > > 
> > > > > OK. Is this needed as a fix for the v4.0-rc series, or can this wait
> > > > > for v4.1?
> > > > 
> > > > I think, Yes. These two patches should go all together, because they are
> > > > interrelated.
> > > 
> > > Does the warning result in a functional problem, or is it just a warning?
> > > 
> > 
> > PCE1 PHY device is not registered any more.
> 
> How does the second patch fix that?

It seems it should be just a warning fix if the pciephy hwmod entries
are now gone?

Anyways, I'm planning to send a pull request for  omap-for-v4.0/fixes
today. Please let me know ASAP if the $subject patch should be dropped,
otherwise I'll send it as it fixes a boot time warning and is already
applied.

Regards,

Tony